com.holonplatform.vaadin.flow.components.builders

## Interface DeferrableLocalizationConfigurator<C extends DeferrableLocalizationConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    HasDeferrableLocalization
  All Known Subinterfaces:
    BaseTemporalInputConfigurator<D,C>, BooleanInputBuilder, BooleanInputConfigurator<C>, ButtonBuilder, ButtonConfigurator<C>, ButtonConfigurator.BaseButtonConfigurator, DateInputBuilder, DateInputConfigurator<C>, DateTimeInputBuilder, DateTimeInputConfigurator<C>, DialogBuilder<B>, DialogBuilder.ConfirmDialogBuilder, DialogBuilder.MessageDialogBuilder, DialogBuilder.QuestionDialogBuilder, DialogConfigurator<C>, DialogConfigurator.ClosableDialogConfigurator<C>, LabelBuilder<L>, LabelConfigurator<L,C>, LabelConfigurator.BaseLabelConfigurator<L>, LocalDateInputBuilder, LocalDateInputConfigurator<C>, LocalDateTimeInputBuilder, LocalDateTimeInputConfigurator<C>, LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, MultiSelectInputConfigurator<T,ITEM,C>, NativeButtonBuilder, NavigationLink.Builder, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, OptionsModeMultiSelectInputBuilder<T,ITEM,B>, OptionsModeMultiSelectInputBuilder.DatastoreItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.DatastoreItemOptionsModeMultiSelectInputConfigurator<T,ITEM,C>, OptionsModeMultiSelectInputBuilder.DatastorePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.DatastorePropertyOptionsModeMultiSelectInputConfigurator<T,C>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputConfigurator<T,ITEM,D,C>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputConfigurator<T,D,C>, OptionsModeMultiSelectInputBuilder.ValidatableDatastoreItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ValidatableDatastorePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.ValidatableItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ValidatablePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder<T,ITEM,B>, OptionsModeSingleSelectInputBuilder.DatastoreItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.DatastoreItemOptionsModeSingleSelectInputConfigurator<T,ITEM,C>, OptionsModeSingleSelectInputBuilder.DatastorePropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.DatastorePropertyOptionsModeSingleSelectInputConfigurator<T,C>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputConfigurator<T,ITEM,D,C>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D,C>, OptionsModeSingleSelectInputBuilder.ValidatableDatastoreItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ValidatableDatastorePropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.ValidatableItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ValidatablePropertyOptionsModeSingleSelectInputBuilder<T>, PasswordInputBuilder, PasswordInputConfigurator<C>, PropertySelectInputConfigurator<T,S,C>, SelectableInputConfigurator<T,S,C>, SelectModeSingleSelectInputBuilder<T,ITEM,B>, SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputConfigurator<T,ITEM,C>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputConfigurator<T,C>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputConfigurator<T,ITEM,D,C>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputConfigurator<T,D,C>, SelectModeSingleSelectInputBuilder.ValidatableDatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ValidatableDatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.ValidatableItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.ValidatablePropertySelectModeSingleSelectInputBuilder<T>, SingleSelectInputConfigurator<T,ITEM,C>, StringAreaInputBuilder, StringAreaInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, ValidatableBooleanInputBuilder, ValidatableDateInputBuilder, ValidatableDateTimeInputBuilder, ValidatableLocalDateInputBuilder, ValidatableLocalDateTimeInputBuilder, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder, ViewComponentAdapterBuilder<T>, ViewComponentBuilder<T>, ViewComponentConfigurator<T,C>

      public interface DeferrableLocalizationConfigurator<C extends DeferrableLocalizationConfigurator<C>>
      extends HasDeferrableLocalization

  Configurator for components which support deferrable localization.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default C` | `deferLocalization()` Enable the deferred localization mode.
    `C` | `withDeferredLocalization(boolean deferredLocalization)` Sets whether the localizable elements of the component (for the example the text or the title) should be localized in deferred mode.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### withDeferredLocalization

          C withDeferredLocalization(boolean deferredLocalization)

      Sets whether the localizable elements of the component (for the example the text or the title) should be localized in deferred mode.

      When the deferred localization mode is enabled, the actual messages localization is triggered when the component is displayed in UI, typically when it is attached to a parent component. Otherwise, the messages localization is performed immediately at component build/configuration time.

      Parameters:
        `deferredLocalization` - Whether to enable the deferred localization mode
      Returns:
        this

    - #### deferLocalization

          default C deferLocalization()

      Enable the deferred localization mode.

      When the deferred localization mode is enabled, the actual messages localization is triggered when the component is displayed in UI, typically when it is attached to a parent component.

      Returns:
        this
      See Also:
        `withDeferredLocalization(boolean)`

Copyright © 2019 The Holon Platform. All rights reserved.